{
    "name": "tcloud.ax/symfony-jsend-bundle",
    "description": "Implementation of jsend recommendations for http responses",
    "type": "symfony-bundle",
    "license": "MIT",
    "authors": [
        {
            "name": "Alexei Yudov",
            "email": "tcloud.ax@gmail.com"
        }
    ],
    "keywords": [
        "jsend",
        "symfony"
    ],
    "require": {
        "php": ">=8.0",
        "symfony/http-foundation": "^6.0",
        "symfony/config": "^6.0",
        "symfony/dependency-injection": "^6.0",
        "symfony/http-kernel": "^6.0"
    },
    "autoload": {
        "psr-4": {
            "JsendStandard\\": "src/",
            "Tests\\": "tests/"
        }
    },
    "require-dev": {
        "squizlabs/php_codesniffer": "^3.6",
        "phpunit/phpunit": "^9.5"
    },
    "scripts": {
        "qa:code_style": "./vendor/bin/phpcs --standard=./phpcs.xml -p --colors --warning-severity=0",
        "qa:php_unit": "php vendor/bin/phpunit ./tests/",
        "qa:test": [
            "@qa:code_style",
            "@qa:php_unit"
        ]
    }
}
